/*
	Author	: Michael Janea (https://facebook.com/mbjanea)
	Version	: 1.0
*/

CKEDITOR.plugins.add('locationmap',{icons:'locationmap',init:function(editor){var iconPath=this.path+'images/locationmap.png';editor.addCommand('locationmapDialog',new CKEDITOR.dialogCommand('locationmapDialog'));editor.ui.addButton('LocationMap',{label:'Insert Map',command:'locationmapDialog',toolbar:'document'});if(editor.contextMenu){editor.addMenuGroup('locationmapGroup');editor.addMenuItem('locationmapItem',{label:'Edit Location Map',icon:this.path+'icons/locationmap.png',command:'locationmapDialog',group:'locationmapGroup'});editor.contextMenu.addListener(function(element){if(element.getAscendant('img',true)&&element.$.className=='cke_iframe'){url=decodeURIComponent(element.$.attributes['data-cke-realelement'].nodeValue);el=document.createElement('div');el.innerHTML=url;url=el.getElementsByTagName('iframe')[0].getAttribute('src');url=url.substring(url.lastIndexOf('?')+1);if(parseInt(url.search('googlemap'))>-1)return{locationmapItem:CKEDITOR.TRISTATE_OFF}}})}CKEDITOR.dialog.add('locationmapDialog',this.path+'dialogs/locationmap.js')}});